System 1.0.5000.0 2.0.0.0 4.0.0.0 System.Security.CodeAccessPermission System.Security.Permissions.IUnrestrictedPermission

The class is used in conjunction with code access security to help protect public types in the System.Web namespaces. Code must be assigned at least the trust level to access protected ASP.NET classes.

The class's property is set by configuring the appropriate trust level in the trust configuration element. By default, the level attribute of the trust configuration element is set to Full. That is, by default, ASP.NET applications run under the level. When an ASP.NET application domain is created, ASP.NET reads the value specified for the level attribute of the trust configuration element, creates an instance of the class with the specified attribute, and then adds the class to the permission set for the application domain. For more information, see ASP.NET Trust Levels and Policy Files.

It is recommended that you set the level attribute of the trust configuration element to High for sites that are trusted. For sites that are not trusted, such as a Web server that hosts sites that run code from an external customer, it is recommended that you set the level attribute of the trust configuration element to Medium.

The permission sets that are defined by default for the .NET Framework (for example, LocalIntranet, Internet, and so on) do not include the permission. That is, the permission is only assigned, by default, to applications that are running under Full trust.

Controls access permissions in ASP.NET hosted environments. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified enumeration value.

  A enumeration value.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified permission level.

  An enumeration value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission To be added.

  When implemented by a derived class, creates and returns an identical copy of the current permission object.

  A copy of the current permission object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  For details about formatting the XML representation of permission object state, see Implementing a Custom Permission.

  Reconstructs a permission object with a specified state from an XML encoding.

  The containing the XML encoding to use to reconstruct the permission object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission `` To be added.

  When implemented by a derived class, creates and returns a permission that is the intersection of the current permission and the specified permission.

  An that represents the intersection of the current permission and the specified permission; otherwise, null if the intersection is empty.

  A permission to combine with the current permission. It must be of the same type as the current permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value indicating whether the current permission is a subset of the specified permission.

  true if the current is a subset of the specified ; otherwise, false.

  The to combine with the current permission. It must be of the same type as the current .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Returns a value indicating whether unrestricted access to the resource that is protected by the current permission is allowed.

  true if unrestricted use of the resource protected by the permission is allowed; otherwise, false.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Web.AspNetHostingPermissionLevel To be added. To be added.

  Gets or sets the current hosting permission level for an ASP.NET application.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement To be added.

  Creates an XML encoding of the permission object and its current state.

  A containing the XML encoding of the permission object, including any state information.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission `` To be added.

  Creates a permission that is the union of the current permission and the specified permission.

  An that represents the union of the current permission and the specified permission.

  A permission to combine with the current permission. It must be of the same type as the current permission.